@import 'variables';
@import 'mixins';
@import 'reboot';

// --------
// -- Global
// --------

body {
  font-family: $cui-font, $cui-font-fallback;
}

.cui-input-prefix,
.cui-input-suffix {
  > * {
    margin: 0 $cui-form-prefix-margin-h;
  }
}

// --------
// -- Demo
// --------
// TODO: move this into a spot where it is only used by storybook
/* stylelint-disable unit-allowed-list */

.cui-demo {
  padding: 30px 20px;

  .cui-demo-grid {
    display: grid;
    grid-gap: 16px;
    grid-template-columns: repeat(auto-fill, 100px);
  }

  .cui-demo-panel,
  .cui-demo-panels > * {
    padding: 16px;
    text-align: center;
  }

  .cui-demo-spacing {
    display: flex;
    align-items: flex-end;

    > * {
      margin: 0 16px;
    }
  }

  .cui-demo-ratio {
    .cui-ratio {
      display: inline-block;
      width: 125px;
      margin-right: 16px;

      > * {
        display: flex;
        align-items: center;
        justify-content: center;
      }
    }
  }

  >:last-child {
    margin-bottom: 0;
  }
}
/* stylelint-enable unit-allowed-list */

// --------
// -- Helpers
// --------

@import './elevations';
@import './spacings';
@import './theming';
@import './typography';
@import './utils';

// --------
// -- Components
// --------

@import '../../../node_modules/tippy.js/dist/tippy.css';
@import '../../../node_modules/tippy.js/animations/scale.css';
@import '../../../node_modules/tippy.js/animations/shift-away-subtle.css';
@import '../../../node_modules/ngx-toastr/toastr.css';
@import '../../../node_modules/@angular/cdk/overlay-prebuilt.css';

@import '../tooltip/tooltip.global';
